from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Radsex_Depth_V0_1_0 = CommandToolBuilder(tool="radsex_depth", base_command=["radsex", "depth"], inputs=[ToolInput(tag="in_markers_table", input_type=Boolean(optional=True), prefix="--markers-table", doc=InputDocumentation(doc="TEXT:FILE                 Path to a marker depths table generated by 'process'                                            [REQUIRED]")), ToolInput(tag="in_pop_map", input_type=Boolean(optional=True), prefix="--popmap", doc=InputDocumentation(doc="TEXT:FILE                 Path to a tabulated map specifying groups for all individuals (population map)                  [REQUIRED]")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="TEXT                      Path to the output file (table of depth for each individual)                                    [REQUIRED]")), ToolInput(tag="in_min_frequency", input_type=Boolean(optional=True), prefix="--min-frequency", doc=InputDocumentation(doc="FLOAT:FLOAT in [0 - 1]    Minimum frequency of a marker in all individuals to retain this marker in depth computations"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="TEXT                      Path to the output file (table of depth for each individual)                                    [REQUIRED]"))], container="quay.io/biocontainers/radsex:1.2.0--h2e03b76_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Radsex_Depth_V0_1_0().translate("wdl")

